import { EventEmitter } from '@angular/core';
import { ModalWindow } from './modal-window.interface';
import { Options } from './options.interface';
import * as i0 from "@angular/core";
export declare class NgxWhatsNewComponent {
    /** Global options */
    _options: Options;
    /** Modals to show */
    items: ModalWindow[];
    /** Set some default options */
    set options(options: Options);
    /** Emits on close */
    closeModal: EventEmitter<void>;
    /** Index of the selected modal item */
    selected: number;
    /**
     * Registers a listener for keyboard-based navigation between modals
     * @param $event keyboard event
     */
    navigateByKeyboard($event: KeyboardEvent): void;
    /**
     * Navigates to the next modal
     */
    goToNext(): void;
    /**
     * Navigates to the modal with the provided index
     * @param index number of the modal window
     */
    navigateTo(index: number): void;
    /**
     * Closes the modal dialog
     */
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxWhatsNewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxWhatsNewComponent, "ngx-whats-new", never, { "items": "items"; "options": "options"; }, { "closeModal": "closeModal"; }, never, never, false, never>;
}
//# sourceMappingURL=ngx-whats-new.component.d.ts.map